### Signal

# Camel Session::user-alert

#### Declaration

    void
    user_alert (
      CamelSession* self,
      CamelService* service,
      CamelSessionAlertType type,
      gchar* message,
      gpointer user_data
    )

#### Description [src]

This purpose of this signal is to propagate a server-issued alert message from `service` to a user interface. The `type` hints at the severity of the alert message.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`service`

  Type: `CamelService`

  The `CamelService` issuing the alert.

  The data is owned by the caller of the function.

`type`

  Type: `CamelSessionAlertType`

  The `CamelSessionAlertType`.

`message`

  Type: `gchar*`

  The alert message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.